MTKSWITCH(4)

NAME
mtkswitch - MediaTek/Ralink Ethernet switch driver

SYNOPSIS
device mdio
device etherswitch
device mtkswitch

DESCRIPTION
The mtkswitch driver supports MediaTek/Ralink Ethernet switch controllers.

HARDWARE
The mtkswitch driver supports the following Ethernet switch controllers:

•   MediaTek MT7628 (5 port Fast Ethernet)
•   MediaTek MT7621 (5 port Gigabit Ethernet)
•   MediaTek MT7620 (5 port Fast Ethernet)
•   Ralink RT5350 (5 port Fast Ethernet)
•   Ralink RT3352 (5 port Fast Ethernet)
•   Ralink RT3050 (5 port Fast Ethernet)

SEE ALSO
etherswitch(4), etherswitchcfg(8)

HISTORY
The mtkswitch driver appeared in FreeBSD 11.0.